### Virtual Method

# Ide TreeAddin node_dropped_async

#### Declaration

    void
    node_dropped_async (
      IdeTreeAddin* self,
      IdeTreeNode* drag_node,
      IdeTreeNode* drop_node,
      GtkSelectionData* selection,
      GdkDragAction actions,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`drag_node` | `IdeTreeNode`
| No description available.
| The data is owned by the caller of the function.
`drop_node` | `IdeTreeNode`
| No description available.
| The data is owned by the caller of the function.
`selection` | `GtkSelectionData`
| No description available.
| The data is owned by the caller of the function.
`actions` | `GdkDragAction`
| No description available.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.